# Uses of Interface
org.eclipse.equinox.p2.metadata.ILicense

Packages that use ILicense
Package
Description
org.eclipse.equinox.p2.metadata
Defines the metadata being handled by p2.
org.eclipse.equinox.p2.ui
Provides provisioning user interface classes that can be used for assembling a provisioning UI.

## Uses of ILicense in org.eclipse.equinox.p2.metadata

Methods in org.eclipse.equinox.p2.metadata that return ILicense
Modifier and Type
Method
Description
`static ILicense`
MetadataFactory.`createLicense(URI location, String body)`
Return a new `ILicense` The body should contain either the full text of the license or an summary for a license fully specified in the given location.
Methods in org.eclipse.equinox.p2.metadata that return types with arguments of type ILicense
Modifier and Type
Method
Description
`Collection<ILicense>`
IInstallableUnit.`getLicenses()`
Returns the untranslated licenses that apply to this installable unit.
`Collection<ILicense>`
IInstallableUnit.`getLicenses(String locale)`
Returns the licenses that apply to this installable unit.
Methods in org.eclipse.equinox.p2.metadata with parameters of type ILicense
Modifier and Type
Method
Description
`void`
MetadataFactory.InstallableUnitDescription.`setLicenses(ILicense[] licenses)`
Set the licenses for the installable unit.

## Uses of ILicense in org.eclipse.equinox.p2.ui

Methods in org.eclipse.equinox.p2.ui with parameters of type ILicense
Modifier and Type
Method
Description
`abstract boolean`
LicenseManager.`accept(ILicense license)`
Record the acceptance of the specified license.
`abstract boolean`
LicenseManager.`isAccepted(ILicense license)`
Return a boolean indicating whether a particular license has previously been accepted.
`abstract boolean`
LicenseManager.`reject(ILicense license)`
Record the rejection of the specified license.